Re: What NAMD version to obtain

From: Renfro, Michael (Renfro_at_tntech.edu)
Date: Wed Dec 19 2018 - 15:08:37 CST

Excluding the CUDA/GPU versions:

        • Linux-x86_64-multicore (64-bit Intel/AMD single node)
        • Linux-x86_64 (64-bit Intel/AMD with ethernet)
        • Linux-x86_64-TCP (TCP may be better on gigabit)
        • Linux-x86_64-ibverbs (InfiniBand via OpenFabrics OFED, not for Omni-Path, no MPI needed)
        • Linux-x86_64-ibverbs-smp (InfiniBand plus shared memory, no MPI needed)

Multicore is listed as single-node for a single server, and all others above are multi-node. I ended up using ibverbs-smp since I have Infiniband available. I’ve used the TCP one for testing, but it didn’t scale well at all across multiple nodes.

> On Dec 19, 2018, at 2:35 PM, Seibold, Steve Allan <stevesei_at_ku.edu> wrote:
>
> HI
> I apologize if this is a simplistic question and I did look on NAMD’s on-line site, but if it is answered I misunderstood it or missed it..
>
> I need a NAMD source code (or binary?) for Linux OS that can be used with multiple CPUs (NOT GPUs) across multiple machines (MPI version)..I am confused on what version on your “download” page I should obtain. I would appreciate any information in this regard…If a binary was built for GPU’s it can’t be used for strictly CPU machines..right?
>
>
> Steve

This archive was generated by hypermail 2.1.6 : Sun Sep 15 2019 - 23:20:12 CDT